
Figure - Bug #114196
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 112101 (New): AF-V2.0-Launcher/SystemUI-控制中心

【AF】【EVT】【控制中心】控制中心的音量条不随设置中的音量调节而变化
2022-11-29 14:45 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-29

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: MCE_V4.0update_20221215(原VC1_FSE_Vdec1219)

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0052.X101

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212160615

Reproducibility: Every time Fixed Version: 2022-12-15

Test Type: IT Root cause: 默认streamtype的时候不会更新音量条，添加了默认情况的条件

Description

【前提条件】

1、设备已开机

【测试步骤】

1、进入设置-声音

2、调节音量大小

3、下拉打开控制中心，观察音量变化

【预期结果】

3、控制中心的音量条随设置中的音量调节而变化

【实际结果】

3、控制中心的音量条不随设置中的音量调节而变化

【复现率】

5/5

History

#1 - 2022-11-29 15:32 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-鲁凯峰

#2 - 2022-11-30 15:32 - CDTS_TEST 王成

- Severity changed from Normal to Critical

#3 - 2022-12-07 19:59 - CD FW-鲁凯峰

- Assignee changed from CD FW-鲁凯峰 to CD APP-王宏

#4 - 2022-12-08 11:18 - CDTS-TEST 周婷

- Target version set to MCE_V4.0update_20221215(原VC1_FSE_Vdec1219)

#5 - 2022-12-12 10:21 - CD APP-王宏

- Category changed from CD-FW to AUDIO-FW

- Assignee changed from CD APP-王宏 to CD MM陈海波
海波，设备切换后 audio steam 存在问题，请尽快查一下，比较紧急，多谢

#6 - 2022-12-12 14:48 - CD MM陈海波

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/168736

这份提交中的代码: 

changed |= onVolumeChangedW(AudioManager.STREAM_MUSIC, 0);

改为下边的, 应该可以解决问题: 

 int mode = AudioManager.getMode()

 if (mode == MODE_IN_COMMUNICATION || mode == MODE_IN_CALL){

    changed |= onVolumeChangedW(stream, 0);

 } else {

    changed |= onVolumeChangedW(AudioManager.STREAM_MUSIC, 0);

 }

多谢!

#7 - 2022-12-12 14:49 - CD MM陈海波

- Assignee changed from CD MM陈海波 to CD APP-王宏

#8 - 2022-12-14 11:12 - CD APP-王宏

- Category changed from AUDIO-FW to CD-FW

#9 - 2022-12-14 16:21 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

170149 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:QuickSettings: Fix the problem that the control center volume bar will not be updatedFix the problem that the control center volume bar will not be

updatedTC-RID: 1201-0201903IssueID: TS-R-BUG-114196Change-Id: Ice52410f46ce7ac600cc82d85e4c95b29a260bc5

#10 - 2022-12-14 16:25 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-15
- Root cause set to 默认streamtype的时候不会更新音量条，添加了默认情况的条件

#11 - 2022-12-16 09:58 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212160615

12.16

验证通过

#12 - 2022-12-16 09:58 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

logcat.txt 4.82 MB 2022-11-29 CD TEST-方永红
